package com.gic.auth.dto;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 账号分组
 * @ClassName: AccountGroupDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/28 4:08 PM 
 */
public class AccountGroupDTO implements Serializable{
    private static final long serialVersionUID = 1726702207759707513L;

    /**
     * 新增参数校验分组
     */
    public interface SaveValid {
    }

    /**
     * 编辑参数校验分组
     */
    public interface EditValid {
    }


    /**
     * ID
     */
    @NotNull(message = "账号分组ID不能为空", groups = {EditValid.class})
    private Integer accountGroupId;

    /**
     * 账号名称
     */
    @NotBlank(message = "账号分组名称不能为空", groups = {SaveValid.class, EditValid.class})
    private String accountGroupName;

    /**
     *
     */
    @NotNull(message = "商户ID不能为空", groups = {SaveValid.class})
    private Integer enterpriseId;

    /**
     * 0：有效 1:无效
     */
    private Integer deleteFlag;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 组员数量
     */
    private Integer memberCount;

    public Integer getAccountGroupId() {
        return accountGroupId;
    }

    public void setAccountGroupId(Integer accountGroupId) {
        this.accountGroupId = accountGroupId;
    }

    public String getAccountGroupName() {
        return accountGroupName;
    }

    public void setAccountGroupName(String accountGroupName) {
        this.accountGroupName = accountGroupName;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public AccountGroupDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public void setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
    }

    @Override
    public String toString() {
        return "AccountGroupDTO{" +
                "accountGroupId=" + accountGroupId +
                ", accountGroupName='" + accountGroupName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", deleteFlag=" + deleteFlag +
                ", sort=" + sort +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", memberCount=" + memberCount +
                '}';
    }
}
