package com.gic.auth.dto;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 角色菜单关联表
 * @ClassName: MenuRoleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/3 9:25 AM 
 */
public class MenuRoleDTO implements Serializable{
    private static final long serialVersionUID = 8443075887752527332L;

    public interface SaveMenuRoleValid {
    }


    /**
     * id
     */
    private Integer menuRoleId;

    /**
     * 菜单ID
     */
    @NotNull(message = "菜单不能为空", groups = {SaveMenuRoleValid.class})
    private Integer menuId;

    /**
     * 权限ID
     */
    @NotNull(message = "角色不能为空", groups = {SaveMenuRoleValid.class})
    private Integer roleId;

    /**
     * 企业ID
     */
    @NotNull(message = "商户不能为空", groups = {SaveMenuRoleValid.class})
    private Integer enterpriseId;

    /**
     * 状态0:有效 1:无效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getMenuRoleId() {
        return menuRoleId;
    }

    public void setMenuRoleId(Integer menuRoleId) {
        this.menuRoleId = menuRoleId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public MenuRoleDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "MenuRoleDTO{" +
                "menuRoleId=" + menuRoleId +
                ", menuId=" + menuId +
                ", roleId=" + roleId +
                ", enterpriseId=" + enterpriseId +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
