package com.gic.auth.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:19 PM 
 */
public class ResourceGroupDTO implements Serializable{
    private static final long serialVersionUID = -1205704098307306802L;

    /**
     *
     */
    private Integer resourceGroupId;

    /**
     * 资源名称
     */
    private String resourceGroupName;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置，json格式 [{"type":1,"sort":1,"areaValue":"","cuSelectId":""}]
     */
    private String customUserData;

    /**
     * 用户域配置json转为类
     */
    private List<ResourceGroupCustomUserDTO> customUserList;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺,英文逗号隔开
     */
    private String weimobStoreId;

    /**
     * 短信签名多选，英文逗号隔开
     */
    private String smsId;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 状态（0：正常；1：删除）
     */
    private Integer deleteFlag;

    /**
     * 授权管理员数量
     */
    private Integer userResourceCount;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public ResourceGroupDTO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public ResourceGroupDTO setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
        return this;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public ResourceGroupDTO setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public ResourceGroupDTO setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public String getCustomUserData() {
        return customUserData;
    }

    public ResourceGroupDTO setCustomUserData(String customUserData) {
        this.customUserData = customUserData;
        return this;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public ResourceGroupDTO setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public ResourceGroupDTO setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public ResourceGroupDTO setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public ResourceGroupDTO setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public String getWeimobStoreId() {
        return weimobStoreId;
    }

    public ResourceGroupDTO setWeimobStoreId(String weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public String getSmsId() {
        return smsId;
    }

    public ResourceGroupDTO setSmsId(String smsId) {
        this.smsId = smsId;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public ResourceGroupDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public ResourceGroupDTO setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public ResourceGroupDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public List<ResourceGroupCustomUserDTO> getCustomUserList() {
        return customUserList;
    }

    public ResourceGroupDTO setCustomUserList(List<ResourceGroupCustomUserDTO> customUserList) {
        this.customUserList = customUserList;
        return this;
    }

    public Integer getUserResourceCount() {
        return userResourceCount;
    }

    public ResourceGroupDTO setUserResourceCount(Integer userResourceCount) {
        this.userResourceCount = userResourceCount;
        return this;
    }

    @Override
    public String toString() {
        return "ResourceGroupDTO{" +
                "resourceGroupId=" + resourceGroupId +
                ", resourceGroupName='" + resourceGroupName + '\'' +
                ", enterpriseId=" + enterpriseId +
                ", customUser=" + customUser +
                ", customUserData='" + customUserData + '\'' +
                ", customUserList=" + customUserList +
                ", storeResource=" + storeResource +
                ", goodsResourceId=" + goodsResourceId +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId='" + weimobStoreId + '\'' +
                ", smsId='" + smsId + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", deleteFlag=" + deleteFlag +
                ", userResourceCount=" + userResourceCount +
                '}';
    }
}
