package com.gic.auth.dto;

import com.gic.auth.constant.Constants;

import java.io.Serializable;
import java.util.Date;

/**
 * 管理员列表
 * @ClassName: UserListDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 5:12 PM 
 */
public class UserListDTO implements Serializable{
    private static final long serialVersionUID = -3693735542954676950L;

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    /**
     * 用户角色
     */
    private String userRoleNames;
    /**
     * 用户资源组授权
     */
    private String userResourceNames;

    /**
     * 账号类型 1:永久账号 2:临时账号
     */
    private Integer accountType;

    /**
     * 临时账号到期时间
     */
    private Date accountDueDate;

    /**
     * 临时账号状态 1:生效中 2:已过期
     */
    private Integer accountDueDateType;

    /**
     * 职位 1:区域经理、2:线下运营、3:电商运营、4:IT专员、5:数据专员 子管理员必填
     */
    private Integer userPosition;

    /**
     *
     */
    private Date createTime;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public String getUserRoleNames() {
        return userRoleNames;
    }

    public void setUserRoleNames(String userRoleNames) {
        this.userRoleNames = userRoleNames;
    }

    public String getUserResourceNames() {
        return userResourceNames;
    }

    public void setUserResourceNames(String userResourceNames) {
        this.userResourceNames = userResourceNames;
    }

    public Integer getAccountType() {
        return accountType;
    }

    public UserListDTO setAccountType(Integer accountType) {
        this.accountType = accountType;
        return this;
    }

    public Date getAccountDueDate() {
        return accountDueDate;
    }

    public UserListDTO setAccountDueDate(Date accountDueDate) {
        this.accountDueDate = accountDueDate;
        return this;
    }

    public Integer getAccountDueDateType() {
        if (accountType != null && accountType.equals(Constants.TEMP_ACCOUNT)) {
            //如果是临时账号
            if (accountDueDate.getTime() >= System.currentTimeMillis()) {
                return 1;
            } else {
                return 2;
            }
        }
        return accountDueDateType;
    }

    public UserListDTO setAccountDueDateType(Integer accountDueDateType) {
        this.accountDueDateType = accountDueDateType;
        return this;
    }

    public Integer getUserPosition() {
        return userPosition;
    }

    public UserListDTO setUserPosition(Integer userPosition) {
        this.userPosition = userPosition;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public UserListDTO setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    public String toString() {
        return "UserListDTO{" +
                "userId=" + userId +
                ", userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", userRoleNames='" + userRoleNames + '\'' +
                ", userResourceNames='" + userResourceNames + '\'' +
                ", accountType=" + accountType +
                ", accountDueDate=" + accountDueDate +
                ", accountDueDateType=" + accountDueDateType +
                ", userPosition=" + userPosition +
                ", createTime=" + createTime +
                '}';
    }
}
