package com.gic.auth.dto;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户角色关联表
 * @ClassName: UserRoleDTO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/2 10:53 AM 
 */
public class UserRoleDTO implements Serializable{
    private static final long serialVersionUID = 8183365108130027735L;

    public interface SaveUserRoleValid {
    }


    /**
     * id
     */
    private Integer userRoleId;

    /**
     * 角色集id
     */
    @NotNull(message = "角色不能为空", groups = {SaveUserRoleValid.class})
    private Integer roleId;

    /**
     * 管理员ID
     */
    @NotNull(message = "用户不能为空", groups = {SaveUserRoleValid.class})
    private Integer userId;

    /**
     * 企业ID
     */
    @NotNull(message = "商户不能为空", groups = {SaveUserRoleValid.class})
    private Integer enterpriseId;

    /**
     * 状态0:有效 1:无效
     */
    private Integer deleteFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    public Integer getUserRoleId() {
        return userRoleId;
    }

    public void setUserRoleId(Integer userRoleId) {
        this.userRoleId = userRoleId;
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public UserRoleDTO setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "UserRoleDTO{" +
                "userRoleId=" + userRoleId +
                ", roleId=" + roleId +
                ", userId=" + userId +
                ", enterpriseId=" + enterpriseId +
                ", status=" + deleteFlag +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
