package com.gic.auth.dto.wechat;

import java.io.Serializable;
/**
 * 服务号关注用户
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/26 10:20 AM 
 */
public class WechatUserDTO implements Serializable{
    private static final long serialVersionUID = -2148969953172055593L;

    /**
     * 用户是否订阅该公众号标识，值为0时，代表此用户没有关注该公众号，拉取不到其余信息。
     */
    public int subscribe;
    /**
     * 用户的标识，对当前公众号唯一
     */
    public String openid;
    /**
     * 用户的昵称
     */
    public String nickname;
    /**
     * 用户的性别，值为1时是男性，值为2时是女性，值为0时是未知
     */
    public int sex = 0;
    /**
     * 用户所在城市
     */
    public String city;
    /**
     * 用户所在国家
     */
    public String country;
    /**
     * 用户所在省份
     */
    public String province;
    /**
     * 用户的语言，简体中文为zh_CN
     */
    public String language;
    /**
     * 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
     */
    public String headimgurl;
    /**
     * 用户关注时间，为时间戳。如果用户曾多次关注，则取最后关注时间
     */
    public long subscribe_time;
    /**
     * 只有在用户将公众号绑定到微信开放平台帐号后，才会出现该字段。详见：获取用户个人信息（UnionID机制）
     */
    public String unionid;
    /**
     * 公众号运营者对粉丝的备注，公众号运营者可在微信公众平台用户管理界面对粉丝添加备注
     */
    public String remark;
    /**
     * 用户所在的分组ID
     */
    public int groupid;

    public int getSubscribe() {
        return subscribe;
    }

    public WechatUserDTO setSubscribe(int subscribe) {
        this.subscribe = subscribe;
        return this;
    }

    public String getOpenid() {
        return openid;
    }

    public WechatUserDTO setOpenid(String openid) {
        this.openid = openid;
        return this;
    }

    public String getNickname() {
        return nickname;
    }

    public WechatUserDTO setNickname(String nickname) {
        this.nickname = nickname;
        return this;
    }

    public int getSex() {
        return sex;
    }

    public WechatUserDTO setSex(int sex) {
        this.sex = sex;
        return this;
    }

    public String getCity() {
        return city;
    }

    public WechatUserDTO setCity(String city) {
        this.city = city;
        return this;
    }

    public String getCountry() {
        return country;
    }

    public WechatUserDTO setCountry(String country) {
        this.country = country;
        return this;
    }

    public String getProvince() {
        return province;
    }

    public WechatUserDTO setProvince(String province) {
        this.province = province;
        return this;
    }

    public String getLanguage() {
        return language;
    }

    public WechatUserDTO setLanguage(String language) {
        this.language = language;
        return this;
    }

    public String getHeadimgurl() {
        return headimgurl;
    }

    public WechatUserDTO setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
        return this;
    }

    public long getSubscribe_time() {
        return subscribe_time;
    }

    public WechatUserDTO setSubscribe_time(long subscribe_time) {
        this.subscribe_time = subscribe_time;
        return this;
    }

    public String getUnionid() {
        return unionid;
    }

    public WechatUserDTO setUnionid(String unionid) {
        this.unionid = unionid;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public WechatUserDTO setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public int getGroupid() {
        return groupid;
    }

    public WechatUserDTO setGroupid(int groupid) {
        this.groupid = groupid;
        return this;
    }

    @Override
    public String toString() {
        return "WechatUserDTO{" +
                "subscribe=" + subscribe +
                ", openid='" + openid + '\'' +
                ", nickname='" + nickname + '\'' +
                ", sex=" + sex +
                ", city='" + city + '\'' +
                ", country='" + country + '\'' +
                ", province='" + province + '\'' +
                ", language='" + language + '\'' +
                ", headimgurl='" + headimgurl + '\'' +
                ", subscribe_time=" + subscribe_time +
                ", unionid='" + unionid + '\'' +
                ", remark='" + remark + '\'' +
                ", groupid=" + groupid +
                '}';
    }
}
