package com.gic.auth.qo;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 权限项新增/编辑参数
 * @ClassName: AuthItemSaveQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/9/18 5:58 PM 
 */
public class AuthItemSaveQO extends PageQO {
    private static final long serialVersionUID = 3155478932998607869L;

    /**
     * 新增权限项参数校验分组
     */
    public interface SaveAuthItemValid {

    }

    /**
     * 编辑权限项参数校验分组
     */
    public interface EditAuthItemValid {

    }

    /**
     * 权限项名称
     */
    @NotBlank(message = "权限项名称不能为空", groups = { SaveAuthItemValid.class, EditAuthItemValid.class })
    private String menuName;
    /**
     * 操作项多选，英文逗号隔开
     */
    @NotBlank(message = "操作项不能为空", groups = { SaveAuthItemValid.class, EditAuthItemValid.class })
    private String operationItemIds;
    /**
     * 父级ID
     */
    @NotNull(message = "上级页面不能为空", groups = { SaveAuthItemValid.class })
    private Integer parentId;

    @NotNull(message = "主键ID不能为空", groups = { EditAuthItemValid.class })
    private Integer menuId;

    /**
     * 0:gic 1:好办后台 2：好办小程序
     */
    private Integer platformType = 0;

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getOperationItemIds() {
        return operationItemIds;
    }

    public void setOperationItemIds(String operationItemIds) {
        this.operationItemIds = operationItemIds;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getMenuId() {
        return menuId;
    }

    public void setMenuId(Integer menuId) {
        this.menuId = menuId;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public AuthItemSaveQO setPlatformType(Integer platformType) {
        this.platformType = platformType;
        return this;
    }
}
