package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.qo.AuditedGroupQO;

import java.util.List;

/**
 * 受审组
 * @ClassName: AuditedGroupApiService
 * @Description:  
 * @author zhiwj
 * @date 2019-09-18 11:11
 */
public interface AuditedGroupApiService {

    /**
     * 新增或修改受审组
     * @Title: saveOrUpdateAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveOrUpdateAuditedGroup(AuditedGroupDTO auditedGroupDTO);

    /**
     * 删除
     * @Title: delAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delAuditedGroup(Integer auditedGroupId);

    /**
     * 受审组列表
     * @Title: listAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupQO
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.AuditedGroupDTO>>
     * @throws
     */
    ServiceResponse<Page<AuditedGroupDTO>> listAuditedGroup(AuditedGroupQO auditedGroupQO);

    /**
     * getAuditedGroup
     * @Title: getAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.AuditedGroupDTO>
     * @throws
     */
    ServiceResponse<AuditedGroupDTO> getAuditedGroup(Integer auditedGroupId);
    
    /**
     * 查询所有的受审组
     * @Title: listAllAuditedGroup
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<List<AuditedGroupDTO>>
     * @throws 
     */
    ServiceResponse<List<AuditedGroupDTO>> listAllAuditedGroup(Integer enterpriseId);
}
