package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.AuthCodeDTO;

/**
 * 
 * @ClassName: AuthCodeApiService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:27
 */
public interface AuthCodeApiService {
    
    /**
     * 保存验证码
     * @Description: 保存验证码
     * @author taogs
     * @Date 11:09 2019/9/2
     * @param authCodeDTO
     * @return 
    */
    ServiceResponse<Integer> saveAuth(AuthCodeDTO authCodeDTO);

    /**
     * 设置验证码无效
     * @Description: 设置验证码无效
     * @author taogs
     * @Date 11:09 2019/9/2
     * @param authCodeId
     * @return 
    */
    ServiceResponse<Integer> expireAuthCode(Integer authCodeId);

    /**
     * 获取验证码
     * @Description: 获取验证码
     * @author taogs
     * @Date 11:10 2019/9/2
     * @param enterpriseId
     * @param relationId
     * @return 
    */
    ServiceResponse<AuthCodeDTO> getAuthCode(Integer enterpriseId, Integer relationId);

    /**
     * getAuthCode
     * @Title: getAuthCode
     * @Description:
     * @author zhiwj
     * @param authCodeId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.AuthCodeDTO>
     * @throws
     */
    ServiceResponse<AuthCodeDTO> getAuthCode(Integer authCodeId);

    /**
     * validateAuthCode
     * @Title: validateAuthCode
     * @Description:
     * @author zhiwj
     * @param authCodeId
     * @param authCode
     * @return com.gic.api.base.commons.ServiceResponse
     * @throws
     */
    ServiceResponse validateAuthCode(Integer authCodeId, String authCode);
}
