package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.CustomUserAreaDTO;
import com.gic.auth.dto.ResourceGroupDTO;
import com.gic.auth.dto.ResourceGroupDataDTO;
import com.gic.auth.dto.StoreResourceDTO;

/**
 * 资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/8 4:36 PM 
 */
public interface ResourceGroupApiService {

    /**
     * 新增
     * @param resourceGroup
     * @return
     */
    ServiceResponse<Integer> saveResourceGroup(ResourceGroupDTO resourceGroup);

    /**
     * 编辑资源组
     * @param resourceGroup
     * @return
     */
    ServiceResponse<String> editResourceGroup(ResourceGroupDTO resourceGroup);

    /**
     * 分页查询
     * @param name 资源组名称
     * @param enterpriseId
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<ResourceGroupDTO>> pageResourceGroup(String name, Integer enterpriseId, Integer pageNum, Integer pageSize);

    /**
     * 查询详情
     * @param resourceGroupId
     * @return
     */
    ServiceResponse<ResourceGroupDTO> getResourceGroup(Integer resourceGroupId);

    /**
     * 删除资源组
     * @param resourceGroupId
     * @return
     */
    ServiceResponse<String> deleteResourceGroup(Integer resourceGroupId);

    /**
     * 根据资源组数据查询，用于登录时存入session
     * @param userId
     * @return
     */
    ServiceResponse<ResourceGroupDataDTO> getResourceGroupByUserId(Integer userId);

    /**
     * 管理员的门店资源查询
     * @param userId
     * @return
     */
    ServiceResponse<StoreResourceDTO> getStoreResourceByUserId(Integer userId);

    /**
     * 管理员的用户域配置信息
     * @param userId
     * @return
     */
    ServiceResponse<CustomUserAreaDTO> getCustomUserByUserId(Integer userId);
}
