package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UnionEnterpriseDTO;
import com.gic.auth.dto.UnionEnterpriseResourceDTO;

import java.util.List;

/**
 * 
 * @ClassName: UnionEnterpriseApiService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-09 20:36
 */
public interface UnionEnterpriseApiService {
    /**
     * saveUnionEnterprise
     * @Title: saveUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param enterpriseDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> saveUnionEnterprise(UnionEnterpriseDTO enterpriseDTO);

    /**
     * getUnionEnterpriseByUnionEnterpriseId
     * @Title: getUnionEnterpriseByUnionEnterpriseId
     * @Description:
     * @author zhiwj
     * @param unionEnterrpiseId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.UnionEnterpriseDTO>
     * @throws
     */
    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseByUnionEnterpriseId(Integer unionEnterrpiseId);

    /**
     * delUnionEnterprise
     * @Title: delUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param unionId
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delUnionEnterprise(Integer unionId, Integer enterpriseId);

    /**
     * delUnionEnterpriseSource
     * @Title: delUnionEnterpriseSource
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Integer>
     * @throws
     */
    ServiceResponse<Integer> delUnionEnterpriseSource(Long resourceId, Integer enterpriseId);

    /**
     * getUnionEnterpriseById
     * @Title: getUnionEnterpriseById
     * @Description:
     * @author zhiwj
     * @param unionId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.auth.dto.UnionEnterpriseDTO>
     * @throws
     */
    ServiceResponse<UnionEnterpriseDTO> getUnionEnterpriseById(Integer unionId);

    /**
     * pageUnionEnterprise
     * @Title: pageUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param search
     * @param enterpriseId
     * @param pageNum
     * @param pageSize
     * @param authorizationStatus
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.UnionEnterpriseDTO>>
     * @throws
     */
    ServiceResponse<Page<UnionEnterpriseDTO>> pageUnionEnterprise(String search, Integer enterpriseId, Integer pageNum,
                                                                  Integer pageSize, Integer authorizationStatus);

    /**
     * updateStoreAuthorizationStatus
     * @Title: updateStoreAuthorizationStatus
     * @Description:
     * @author zhiwj
     * @param authOrizationStatus
     * @param enterpriseId
     * @param message
     * @param key
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> updateStoreAuthorizationStatus(int authOrizationStatus, Integer enterpriseId, String message, String key);

    /**
     * listStoreResourceByEnterpriseId
     * @Title: listStoreResourceByEnterpriseId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.auth.dto.UnionEnterpriseResourceDTO>>
     * @throws
     */
    ServiceResponse<List<UnionEnterpriseResourceDTO>> listStoreResourceByEnterpriseId(Integer enterpriseId);

    /**
     * listResourceByUnionId
     * @Title: listResourceByUnionId
     * @Description:
     * @author zhiwj
     * @param unionId
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.auth.dto.UnionEnterpriseResourceDTO>>
     * @throws
     */
    ServiceResponse<List<UnionEnterpriseResourceDTO>> listResourceByUnionId(Integer unionId);

    /**
     * reAuthorizationResource
     * @Title: reAuthorizationResource
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @param resourceType
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> reAuthorizationResource(Long resourceId, Integer resourceType);
}
