package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserDataShowSaveDTO;

/**
 * 管理员的数据记录表，用于前端展示用 （业务方调用）
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 1:57 PM 
 */
public interface UserDataShowApiService {

    /**
     * 新增
     * @param data
     * @return
     */
    ServiceResponse<Void> saveUserData(UserDataShowSaveDTO data);

    /**
     * 修改名称
     * @param userDataBusinessId 业务方数据ID
     * @param userDataBusinessName 业务方数据名称
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     * @return
     */
    ServiceResponse<Void> editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType);

    /**
     * 批量修改管理员ID
     * @param oldUserId
     * @param newUserId
     * @param userDataSceneType
     * @return
     */
    ServiceResponse<Void> tmpUpdateUserId(Integer oldUserId, Integer newUserId, Integer userDataSceneType);

    /**
     * 业务方数据修改管理员ID
     * @param toUserId
     * @param userDataBusinessId
     * @param userDataSceneType
     * @return
     */
    ServiceResponse<Void> updateUserIdByUserDataBusinessId(Integer toUserId, String userDataBusinessId, Integer userDataSceneType);

    /**
     * 删除数据
     * @param userDataBusinessId
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     * @return
     */
    ServiceResponse<Void> deleteUserData(String userDataBusinessId, Integer userDataSceneType);

    /**
     * 删除数据
     * @param toUserId
     * @param userDataSceneType
     * @return
     */
    ServiceResponse<Void> tmpDeleteUserData(Integer toUserId, Integer userDataSceneType);
}
