package com.gic.auth.service;

import com.gic.api.base.commons.ServiceResponse;

import java.util.List;

/**
 * 管理员转移记录表
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 9:51 AM 
 */
public interface UserMoveApiService {
    /**
     * 转移记录
     * @param enterpriseId
     * @param fromUserId
     * @param toUserId
     * @return
     */
    ServiceResponse<Void> saveUserMove(Integer enterpriseId, Integer fromUserId, Integer toUserId);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userId
     * @return
     */
    ServiceResponse<List<Integer>> listTransferUserId(Integer userId);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userIdList
     * @return
     */
    ServiceResponse<List<Integer>> listTransferUserId(List<Integer> userIdList);
}
