package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroup;
import com.gic.auth.qo.AuditedGroupQO;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabAuditedGroupMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:38
 */
public interface TabAuditedGroupMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditedGroup record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditedGroup record);

    /**
     * 根据主键查询
     *
     * @param auditedGroupId 主键
     * @return 实体对象
     */
    TabAuditedGroup selectByPrimaryKey(Integer auditedGroupId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditedGroup record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditedGroup record);

    /**
     * getFirstAuditedGroup
     * @Title: getFirstAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer getFirstAuditedGroup(AuditedGroupDTO auditedGroupDTO);

    /**
     * delAuditedGroup
     * @Title: delAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return java.lang.Integer
     * @throws
     */
    Integer delAuditedGroup(@Param("auditedGroupId") Integer auditedGroupId);

    /**
     * listAuditedGroup
     * @Title: listAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupQO
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabAuditedGroup>
     * @throws
     */
    Page<TabAuditedGroup> listAuditedGroup(AuditedGroupQO auditedGroupQO);

    /**
     * countByAuditedGroupIds
     * @Title: countByAuditedGroupIds
     * @Description:
     * @author zhiwj
     * @param auditedGroupIdList
     * @return int
     * @throws
     */
    int countByAuditedGroupIds(@Param("ids") List<Integer> auditedGroupIdList);
}