package com.gic.auth.dao.mapper;

import com.gic.auth.dto.AuditedGroupUserRelDTO;
import com.gic.auth.entity.TabAuditedGroupUserRel;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 
 * @ClassName: TabAuditedGroupUserRelMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:38
 */
public interface TabAuditedGroupUserRelMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabAuditedGroupUserRel record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabAuditedGroupUserRel record);

    /**
     * 根据主键查询
     *
     * @param auditedGroupUserRelId 主键
     * @return 实体对象
     */
    TabAuditedGroupUserRel selectByPrimaryKey(Integer auditedGroupUserRelId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabAuditedGroupUserRel record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabAuditedGroupUserRel record);

    /**
     * delByAuditedGroupId
     * @Title: delByAuditedGroupId
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return int
     * @throws
     */
    int delByAuditedGroupId(@Param("auditedGroupId") Integer auditedGroupId);

    /**
     * insertSelectiveByNotExist
     * @Title: insertSelectiveByNotExist
     * @Description:
     * @author zhiwj
     * @param auditedGroupUserRel
     * @return void
     * @throws
     */
    void insertSelectiveByNotExist(TabAuditedGroupUserRel auditedGroupUserRel);

    /**
     * updateStatusByUserIds
     * @Title: updateStatusByUserIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditedGroupId
     * @param userIdList
     * @return java.lang.Integer
     * @throws
     */
    Integer updateStatusByUserIds(@Param("enterpriseId") Integer enterpriseId, @Param("auditedGroupId") Integer auditedGroupId, @Param("ids") List<Integer> userIdList);

    /**
     * getUserCountByAuditedGroup
     * @Title: getUserCountByAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupIds
     * @return java.util.Map<java.lang.Integer,java.util.Map<java.lang.Integer,java.lang.Long>>
     * @throws
     */
    @MapKey("auditedGroupId")
    Map<Integer, Map<Integer,Long>> getUserCountByAuditedGroup(@Param("ids") List<Integer> auditedGroupIds);

    /**
     * listAuditedGroup
     * @Title: listAuditedGroup
     * @Description:
     * @author zhiwj
     * @param groupUserRel
     * @return java.util.List<com.gic.auth.entity.TabAuditedGroupUserRel>
     * @throws
     */
    List<TabAuditedGroupUserRel> listAuditedGroup(AuditedGroupUserRelDTO groupUserRel);

    /**
     * listAuditedGroupByUserId
     * @Title: listAuditedGroupByUserId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param userId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> listAuditedGroupByUserId(@Param("enterpriseId") Integer enterpriseId, @Param("userId") Integer userId);

    /**
     * deleteByUserId
     * @Title: deleteByUserId
     * @Description:
     * @author zhiwj
     * @param userId
     * @return void
     * @throws
     */
    void deleteByUserId(@Param("userId") Integer userId);
}