package com.gic.auth.dao.mapper;

import com.gic.auth.dto.CollaboratorListDTO;
import com.gic.auth.entity.TabSysCollaborator;
import com.gic.auth.qo.CollaboratorListQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysCollaboratorMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:39
 */
public interface TabSysCollaboratorMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysCollaborator record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysCollaborator record);

    /**
     * 根据主键查询
     *
     * @param collaboratorId 主键
     * @return 实体对象
     */
    TabSysCollaborator selectByPrimaryKey(Integer collaboratorId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysCollaborator record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysCollaborator record);

    /**
     * 查询列表数据
     * @Title: list 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  java.util.List<com.gic.auth.dto.CollaboratorListDTO> 
      */
    List<CollaboratorListDTO> list(CollaboratorListQO params);

    /**
     * 查询列表数据
     * @Title: listByCollaboratorIdList 
     * @Description: 
      * @author guojuxing 
     * @param collaboratorIdList 
     * @return  java.util.List<com.gic.auth.entity.TabSysCollaborator> 
      */
    List<TabSysCollaborator> listByCollaboratorIdList(@Param("list") List<Integer> collaboratorIdList);

    /**
     * 查询不在范围内的列表
     * @Title: listNotInCollaboratorIdList 
     * @Description: 
      * @author guojuxing 
     * @param collaboratorIdList
     * @param search
     * @param enterpriseId 
     * @return  java.util.List<com.gic.auth.entity.TabSysCollaborator> 
      */
    List<TabSysCollaborator> listNotInCollaboratorIdList(@Param("list") List<Integer> collaboratorIdList,
            @Param("search") String search, @Param("enterpriseId") Integer enterpriseId);

    /**
     * getByPhoneAndAppId
     * @Title: getByPhoneAndAppId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param phone
     * @param appId
     * @return com.gic.auth.entity.TabSysCollaborator
     * @throws
     */
    TabSysCollaborator getByPhoneAndAppId(@Param("enterpriseId") Integer enterpriseId, @Param("phone") String phone,
            @Param("appId") String appId);

    /**
     * deleteByPhoneAndAppId
     * @Title: deleteByPhoneAndAppId
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param phone
     * @param appId
     * @return void
     * @throws
     */
    void deleteByPhoneAndAppId(@Param("enterpriseId") Integer enterpriseId, @Param("phone") String phone,
            @Param("appId") String appId);
}