package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabSysUnionEnterprise;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysUnionEnterpriseMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:42
 */
public interface TabSysUnionEnterpriseMapper {


    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterprise record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterprise record);

    /**
     * 根据主键查询
     *
     * @param unionId 主键
     * @return 实体对象
     */
    TabSysUnionEnterprise selectByPrimaryKey(Integer unionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterprise record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterprise record);

    /**
     * getEnterpriseByUnionEnterpriseId
     * @Title: getEnterpriseByUnionEnterpriseId
     * @Description:
     * @author zhiwj
     * @param unionEnterpriseId
     * @return java.util.List<com.gic.auth.entity.TabSysUnionEnterprise>
     * @throws
     */
    List<TabSysUnionEnterprise> getEnterpriseByUnionEnterpriseId(@Param("unionEnterpriseId") Integer unionEnterpriseId);

    /**
     * pageUnionEnterprise
     * @Title: pageUnionEnterprise
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param authorizationStatus
     * @param search
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabSysUnionEnterprise>
     * @throws
     */
    Page<TabSysUnionEnterprise> pageUnionEnterprise(@Param("enterpriseId") Integer enterpriseId,
                                                    @Param("authorizationStatus") Integer authorizationStatus,
                                                    @Param("search") String search);
}