package com.gic.auth.dao.mapper;

import com.gic.auth.dto.UnionEnterpriseResourceDTO;
import com.gic.auth.entity.TabSysUnionEnterpriseResource;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysUnionEnterpriseResourceMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:42
 */
public interface TabSysUnionEnterpriseResourceMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysUnionEnterpriseResource record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysUnionEnterpriseResource record);

    /**
     * 根据主键查询
     *
     * @param unionResourceId 主键
     * @return 实体对象
     */
    TabSysUnionEnterpriseResource selectByPrimaryKey(Integer unionResourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysUnionEnterpriseResource record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysUnionEnterpriseResource record);

    /**
     * getResource
     * @Title: getResource
     * @Description:
     * @author zhiwj
     * @param unionId
     * @param type
     * @return java.util.List<com.gic.auth.entity.TabSysUnionEnterpriseResource>
     * @throws
     */
    List<TabSysUnionEnterpriseResource> getResource(@Param("unionId") Integer unionId, @Param("type") int type);

    /**
     * delResource
     * @Title: delResource
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param unionId
     * @return int
     * @throws
     */
    int delResource(@Param("enterpriseId") Integer enterpriseId, @Param("unionId") Integer unionId);

    /**
     * updateAuthorizationStatus
     * @Title: updateAuthorizationStatus
     * @Description:
     * @author zhiwj
     * @param authOrizationStatus
     * @param enterpriseId
     * @param resourceType
     * @param authOrizationMessage
     * @param key
     * @return int
     * @throws
     */
    int updateAuthorizationStatus(@Param("authOrizationStatus") int authOrizationStatus,
                                  @Param("enterpriseId") Integer enterpriseId,
                                  @Param("resourceType") Integer resourceType,
                                  @Param("authOrizationMessage") String authOrizationMessage,
                                  @Param("key") String key);

    /**
     * listResourceByEnterpriseIdAndType
     * @Title: listResourceByEnterpriseIdAndType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param type
     * @return java.util.List<com.gic.auth.dto.UnionEnterpriseResourceDTO>
     * @throws
     */
    List<UnionEnterpriseResourceDTO> listResourceByEnterpriseIdAndType(@Param("enterpriseId") Integer enterpriseId,
                                                                       @Param("type") int type);

    /**
     * listResourceByUnionId
     * @Title: listResourceByUnionId
     * @Description:
     * @author zhiwj
     * @param unionId
     * @return java.util.List<com.gic.auth.entity.TabSysUnionEnterpriseResource>
     * @throws
     */
    List<TabSysUnionEnterpriseResource> listResourceByUnionId(@Param("unionId") Integer unionId);

    /**
     * delResourceByResourceId
     * @Title: delResourceByResourceId
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return int
     * @throws
     */
    int delResourceByResourceId(Long resourceId);

    /**
     * getKeyByResourceId
     * @Title: getKeyByResourceId
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return java.util.List<java.lang.String>
     * @throws
     */
    List<String> getKeyByResourceId(@Param("resourceId") Long resourceId);

    /**
     * getUnionEnterpriseIdByResouce
     * @Title: getUnionEnterpriseIdByResouce
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return java.util.List<java.lang.Integer>
     * @throws
     */
    List<Integer> getUnionEnterpriseIdByResouce(@Param("resourceId") Long resourceId);
}