package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabUserDataShow;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:22 PM 
 */
public interface TabUserDataShowMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabUserDataShow record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabUserDataShow record);

    /**
     * 根据主键查询
     *
     * @param userDataId 主键
     * @return 实体对象
     */
    TabUserDataShow selectByPrimaryKey(Integer userDataId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabUserDataShow record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabUserDataShow record);

    /**
     * 修改名称
     *
     * @param userDataBusinessId
     * @param userDataBusinessName
     * @param userDataSceneType
     * @return
     */
    int editUserDataBusinessName(@Param("userDataBusinessId") String userDataBusinessId,
                                 @Param("userDataBusinessName") String userDataBusinessName,
                                 @Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 删除
     * @param userDataBusinessId
     * @param userDataSceneType
     * @return
     */
    int deleteUserData(@Param("userDataBusinessId")String userDataBusinessId,@Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 批量修改管理员ID
     * @param oldUserId
     * @param newUserId
     * @param userDataSceneType
     * @return
     */
    int tmpUpdateUserId(@Param("oldUserId") Integer oldUserId,
                        @Param("newUserId") Integer newUserId,
                        @Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 修改管理员ID
     * @param toUserId
     * @param userDataBusinessId
     * @param userDataSceneType
     * @return
     */
    int updateUserIdByUserDataBusinessId(@Param("toUserId") Integer toUserId,
                                         @Param("userDataBusinessId") String userDataBusinessId,
                                         @Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 删除
     * @param toUserId
     * @param userDataSceneType
     * @return
     */
    int tmpDeleteUserData(@Param("toUserId") Integer toUserId,
                          @Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 统计业务方
     * @param userDataBusinessId
     * @param userDataSceneType
     * @return
     */
    int count(@Param("userDataBusinessId") String userDataBusinessId, @Param("userDataSceneType") Integer userDataSceneType);

    /**
     * 分页查询
     * @param dataType
     * @param userId
     * @return
     */
    List<TabUserDataShow> page(@Param("dataType") Integer dataType,
                               @Param("userId") Integer userId);
}