package com.gic.auth.dao.mapper;

import com.gic.auth.entity.TabGicUserMove;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 管理员转移
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 10:31 AM 
 */
public interface UserMoveMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabGicUserMove record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabGicUserMove record);

    /**
     * 根据主键查询
     *
     * @param userMoveId 主键
     * @return 实体对象
     */
    TabGicUserMove selectByPrimaryKey(Integer userMoveId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabGicUserMove record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabGicUserMove record);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userId
     * @return
     */
    List<Integer> listTransferUserId(@Param("userId") Integer userId);

    /**
     * 查询fromUserId列表，如果为空，说明没有数据转移过给userId
     * @param userIdList
     * @return
     */
    List<Integer> listTransferUserIdByUserIdList(@Param("userIdList") List<Integer> userIdList);
}