package com.gic.auth.service;

import com.gic.auth.dto.AccountGroupDTO;
import com.gic.auth.entity.TabSysAccountGroup;

import java.util.List;

/**
 * 账号分组
 * @ClassName: AccountGroupService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/10/28 4:11 PM 
 */
public interface AccountGroupService {

    /**
     * 账号分组新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  int 
      */
    int save(AccountGroupDTO dto);

    /**
     * 编辑
     * @Title: update 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  int 
      */
    int update(AccountGroupDTO dto);

    /**
     * 获取数据库最大排序值
     * @Title: getMaxSortValueByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  int 
      */
    int getMaxSortValueByEnterpriseId(Integer enterpriseId);

    /**
     * 校验名称是否重复
     * @Title: isAccountGroupNameRepeat 
     * @Description:
      * @author guojuxing
     * @param enterpriseId
     * @param accountGroupId
     * @param accountGroupName 
     * @return  boolean 
      */
    boolean isAccountGroupNameRepeat(Integer enterpriseId, Integer accountGroupId, String accountGroupName);

    /**
     * 根据逐渐查询数据
     * @Title: getById 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  com.gic.auth.entity.TabSysAccountGroup 
      */
    TabSysAccountGroup getById(Integer accountGroupId);

    /**
     * listByIdList
     * @Title: listByIdList
     * @Description:
     * @author zhiwj
 * @param accountGroupIdList
     * @return java.util.List<com.gic.auth.entity.TabSysAccountGroup>
     * @throws
     */
    List<TabSysAccountGroup> listByIdList(List<Integer> accountGroupIdList);
    /**
     * 查询列表
     * @Title: listAccountGroupByEnterpriseId 
     * @Description:
      * @author guojuxing
     * @param enterpriseId 
     * @return  java.util.List<com.gic.auth.entity.TabSysAccountGroup> 
      */
    List<TabSysAccountGroup> listAccountGroupByEnterpriseId(Integer enterpriseId);

    /**
     * 逻辑删除
     * @Title: updateStatusByAccountGroupId 
     * @Description:
      * @author guojuxing
     * @param accountGroupId 
     * @return  int 
      */
    int updateStatusByAccountGroupId(Integer accountGroupId);

   /**
    * 排序
    * @Title: setSort 
    * @Description:
     * @author guojuxing
    * @param record
    * @param sortValue 
    * @return  void 
     */
    void setSort(TabSysAccountGroup record, Integer sortValue);
}
