package com.gic.auth.service;

import com.gic.auth.dto.AuditedGroupDTO;
import com.gic.auth.entity.TabAuditedGroup;
import com.gic.auth.qo.AuditedGroupQO;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-18 11:29
 */
public interface AuditedGroupService {

    /**
     * validAuditedGroupIsRepeat
     * @Title: validAuditedGroupIsRepeat
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param auditedGroupName
     * @param auditedGroupId
     * @return boolean
     * @throws
     */
    boolean validAuditedGroupIsRepeat(Integer enterpriseId, String auditedGroupName, Integer auditedGroupId);

    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param auditedGroupDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(AuditedGroupDTO auditedGroupDTO);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param auditedGroupDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(AuditedGroupDTO auditedGroupDTO);

    /**
     * delAuditedGroup
     * @Title: delAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return java.lang.Integer
     * @throws
     */
    Integer delAuditedGroup(Integer auditedGroupId);

    /**
     * listAuditedGroup
     * @Title: listAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupQO
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabAuditedGroup>
     * @throws
     */
    Page<TabAuditedGroup> listAuditedGroup(AuditedGroupQO auditedGroupQO);

    /**
     * getAuditedGroup
     * @Title: getAuditedGroup
     * @Description:
     * @author zhiwj
     * @param auditedGroupId
     * @return com.gic.auth.entity.TabAuditedGroup
     * @throws
     */
    TabAuditedGroup getAuditedGroup(Integer auditedGroupId);

    /**
     * validAuditedGroupIsNotExist
     * @Title: validAuditedGroupIsNotExist
     * @Description:
     * @author zhiwj
     * @param auditedGroupIdList
     * @return boolean
     * @throws
     */
    boolean validAuditedGroupIsNotExist(List<Integer> auditedGroupIdList);

    /**
     * listAllAuditedGroup
     * @Title: listAllAuditedGroup
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @return java.util.List<com.gic.auth.entity.TabAuditedGroup>
     * @throws
     */
    List<TabAuditedGroup> listAllAuditedGroup(Integer enterpriseId);
}
