package com.gic.auth.service;

import com.gic.auth.dto.UnionEnterpriseResourceDTO;
import com.gic.auth.entity.TabSysUnionEnterpriseResource;

import java.util.List;

/**
 * 
 * @ClassName: UnionEnterpriseResourceService
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:46
 */
public interface UnionEnterpriseResourceService {
    /**
     * saveResource
     * @Title: saveResource
     * @Description:
     * @author zhiwj
     * @param unionId
     * @param resourceId
     * @param type
     * @param enterpriseId
     * @return int
     * @throws
     */
    int saveResource(Integer unionId, Long resourceId, int type, Integer enterpriseId);

    /**
     * getByUnionIdAndType
     * @Title: getByUnionIdAndType
     * @Description:
     * @author zhiwj
     * @param unionId
     * @param type
     * @return com.gic.auth.entity.TabSysUnionEnterpriseResource
     * @throws
     */
    TabSysUnionEnterpriseResource getByUnionIdAndType(Integer unionId, int type);

    /**
     * delResource
     * @Title: delResource
     * @Description:
     * @author zhiwj
     * @param unionId
     * @param enterpriseId
     * @return int
     * @throws
     */
    int delResource(Integer unionId, Integer enterpriseId);

    /**
     * delResource
     * @Title: delResource
     * @Description:
     * @author zhiwj
     * @param resouceId
     * @return int
     * @throws
     */
    int delResource(Long resouceId);

    /**
     * updateAuthorizationStatus
     * @Title: updateAuthorizationStatus
     * @Description:
     * @author zhiwj
     * @param authOrizationStatus
     * @param enterpriseId
     * @param resourceType
     * @param authOrizationMessage
     * @param key
     * @return void
     * @throws
     */
    void updateAuthorizationStatus(int authOrizationStatus, Integer enterpriseId, Integer resourceType,
                                   String authOrizationMessage, String key);

    /**
     * listResourceByEnterpriseIdAndType
     * @Title: listResourceByEnterpriseIdAndType
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param type
     * @return java.util.List<com.gic.auth.dto.UnionEnterpriseResourceDTO>
     * @throws
     */
    List<UnionEnterpriseResourceDTO> listResourceByEnterpriseIdAndType(Integer enterpriseId, int type);

    /**
     * listResourceByUnionId
     * @Title: listResourceByUnionId
     * @Description:
     * @author zhiwj
     * @param unionId
     * @return java.util.List<com.gic.auth.entity.TabSysUnionEnterpriseResource>
     * @throws
     */
    List<TabSysUnionEnterpriseResource> listResourceByUnionId(Integer unionId);

    /**
     * getKeyByResourceId
     * @Title: getKeyByResourceId
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return java.lang.String
     * @throws
     */
    String getKeyByResourceId(Long resourceId);

    /**
     * getUnionEnterpriseIdByResouce
     * @Title: getUnionEnterpriseIdByResouce
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return java.lang.Integer
     * @throws
     */
    Integer getUnionEnterpriseIdByResouce(Long resourceId);
}
