package com.gic.auth.service;

import com.gic.auth.dto.UserDataShowSaveDTO;
import com.gic.auth.entity.TabUserDataShow;
import com.github.pagehelper.Page;

/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:17 PM 
 */
public interface UserDataShowService {
    /**
     * 新增
     * @param data
     */
    void saveUserData(UserDataShowSaveDTO data);

    /**
     * 同一个业务方只能有一个businessId
     * @param userDataBusinessId
     * @param userDataSceneType
     * @return
     */
    boolean isRepeat(String userDataBusinessId, Integer userDataSceneType);

    /**
     * 编辑名称
     * @param userDataBusinessId
     * @param userDataBusinessName
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     */
    void editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType);

    /**
     * 删除
     * @param userDataBusinessId
     * @param userDataSceneType 业务方 枚举 ManagerDataEnum
     */
    void deleteUserData(String userDataBusinessId, Integer userDataSceneType);

    /**
     * 批量调整管理员ID
     * @param oldUserId
     * @param newUserId
     * @param userDataSceneType
     */
    void tmpUpdateUserId(Integer oldUserId, Integer newUserId, Integer userDataSceneType);

    /**
     * 修改管理员ID
     * @param toUserId
     * @param userDataBusinessId
     * @param userDataSceneType
     */
    void updateUserIdByUserDataBusinessId(Integer toUserId, String userDataBusinessId, Integer userDataSceneType);

    /**
     * 批量删除
     * @param toUserId
     * @param userDataSceneType
     */
    void tmpDeleteUserData(Integer toUserId, Integer userDataSceneType);

    /**
     * 分页查询
     * @param dataType 业务方类型
     * @param userId
     * @param pageNum
     * @param pageSize
     * @return
     */
    Page<TabUserDataShow> page(Integer dataType, Integer userId, Integer pageNum, Integer pageSize);
}
