package com.gic.auth.service;

import com.gic.auth.dto.UserResourceDTO;

import java.util.List;
import java.util.Map;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/29 10:03
 */
public interface UserResourceService {
    /**
     * existUserResource
     * @Title: existUserResource
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param resourceId
     * @return boolean
     * @throws
     */
    boolean existUserResource(Integer enterpriseId, Integer resourceId);

    /**
     * countByResourceIds
     * @Title: countByResourceIds
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param resourceIds
     * @return java.util.Map<java.lang.Integer,java.lang.Integer>
     * @throws
     */
    Map<Integer,Integer> countByResourceIds(Integer enterpriseId, List<Integer> resourceIds);


    /**
     * 新增
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  void 
      */
    void save(UserResourceDTO dto);

    /**
     * 删除用户关联数据
     * @Title: deleteByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  void 
      */
    void deleteByUserId(Integer userId);

    /**
     * 查询用户关联数据
     * @Title: listUserRoleByUserId 
     * @Description:
      * @author guojuxing
     * @param userId 
     * @return  java.util.List<com.gic.auth.entity.TabSysUserRole> 
      */
    List<UserResourceDTO> listUserResourceByUserId(Integer userId);

    /**
     * 查询包含资源组数据的user_id
     * @param resourceIdList
     * @param enterpriseId
     * @return
     */
    List<Integer> listUserId(List<Integer> resourceIdList, Integer enterpriseId);
}
