package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysRoleMapper;
import com.gic.auth.dto.RoleDTO;
import com.gic.auth.dto.RoleListDTO;
import com.gic.auth.entity.TabSysRole;
import com.gic.auth.qo.RoleListQO;
import com.gic.auth.service.RoleService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;
import java.util.List;

/**
 * 
 * @ClassName: RoleServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:38
 */
@Service("roleService")
public class RoleServiceImpl implements RoleService{
    @Autowired
    private TabSysRoleMapper tabSysRoleMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Integer save(RoleDTO dto) {
        TabSysRole record = EntityUtil.changeEntityNew(TabSysRole.class, dto);
        tabSysRoleMapper.insert(record);
        return record.getRoleId();
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void update(RoleDTO dto) {
        dto.setUpdateTime(new Date());
        tabSysRoleMapper.updateByPrimaryKeySelective(EntityUtil.changeEntityNew(TabSysRole.class, dto));
    }

    @Override
    public void deleteById(Integer id) {
        tabSysRoleMapper.deleteByRoleId(id);
    }

    @Override
    public Page<RoleListDTO> pageRole(RoleListQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<RoleListDTO> list = tabSysRoleMapper.listRole(params);
        return (Page<RoleListDTO>) list;
    }

    @Override
    public TabSysRole getById(Integer id) {
        return tabSysRoleMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<TabSysRole> listRole(Integer enterpriseId) {
        return tabSysRoleMapper.listRoleNoPage(enterpriseId);
    }

    @Override
    public boolean isRepeatRoleName(Integer enterpriseId, Integer roleId, String roleName) {
        int count = tabSysRoleMapper.countRepeatRoleName(enterpriseId, roleId, roleName);
        if (count > 0) {
            return true;
        }
        return false;
    }
}
