package com.gic.auth.service.impl;

import com.gic.auth.constant.DeleteFlagConstants;
import com.gic.auth.dao.mapper.TabSysUnionEnterpriseMapper;
import com.gic.auth.entity.TabSysUnionEnterprise;
import com.gic.auth.service.UnionEnterpriseService;
import com.gic.enterprise.constants.Constants;
import com.github.pagehelper.Page;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 
 * @ClassName: UnionEnterpriseServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:52
 */
@Service("unionEnterpriseService")
public class UnionEnterpriseServiceImpl implements UnionEnterpriseService {
    @Autowired
    private TabSysUnionEnterpriseMapper tabSysUnionEnterpriseMapper;

    @Override
    public int saveUnionEnterprise(TabSysUnionEnterprise tabSysUnionEnterprise) {
        return this.tabSysUnionEnterpriseMapper.insert(tabSysUnionEnterprise);
    }

    @Override
    public int updateUnionEnterprise(TabSysUnionEnterprise tabSysUnionEnterprise) {
        return this.tabSysUnionEnterpriseMapper.updateByPrimaryKeySelective(tabSysUnionEnterprise);
    }

    @Override
    public TabSysUnionEnterprise getUnionEnterpriseByUnionEnterpriseId(Integer unionEnterpriseId) {
        List<TabSysUnionEnterprise> list = this.tabSysUnionEnterpriseMapper.getEnterpriseByUnionEnterpriseId(unionEnterpriseId);
        if(CollectionUtils.isNotEmpty(list)){
            return list.get(0);
        }
        return null;
    }

    @Override
    public int delUnionEnterprise(Integer id) {
        TabSysUnionEnterprise enterprise = new TabSysUnionEnterprise();
        enterprise.setUnionId(id);
        enterprise.setDeleteFlag(DeleteFlagConstants.DELETE_STATUS);
        return this.tabSysUnionEnterpriseMapper.updateByPrimaryKeySelective(enterprise);
    }

    @Override
    public TabSysUnionEnterprise getUnionEnterpriseById(Integer unionId) {
        return this.tabSysUnionEnterpriseMapper.selectByPrimaryKey(unionId);
    }

    @Override
    public Page<TabSysUnionEnterprise> pageUnionEnterprise(Integer enterpriseId, Integer authorizationStatus, String search) {
        return this.tabSysUnionEnterpriseMapper.pageUnionEnterprise(enterpriseId, authorizationStatus, search);
    }
}
