package com.gic.auth.service.impl;

import com.gic.auth.constant.DeleteFlagConstants;
import com.gic.auth.dao.mapper.TabUserDataShowMapper;
import com.gic.auth.dto.UserDataShowSaveDTO;
import com.gic.auth.entity.TabUserDataShow;
import com.gic.auth.service.UserDataShowService;
import com.gic.commons.util.EntityUtil;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:19 PM 
 */
@Service("userDataShowService")
public class UserDataShowServiceImpl implements UserDataShowService{
    @Autowired
    private TabUserDataShowMapper tabUserDataShowMapper;

    @Override
    public void saveUserData(UserDataShowSaveDTO data) {
        TabUserDataShow record = EntityUtil.changeEntityNew(TabUserDataShow.class, data);
        record.setCreateTime(new Date());
        record.setUpdateTime(new Date());
        record.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);
        tabUserDataShowMapper.insert(record);
    }

    @Override
    public boolean isRepeat(String userDataBusinessId, Integer userDataSceneType) {
        int count = tabUserDataShowMapper.count(userDataBusinessId, userDataSceneType);
        if (count > 0) {
            return true;
        }
        return false;
    }

    @Override
    public void editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType) {
        tabUserDataShowMapper.editUserDataBusinessName(userDataBusinessId, userDataBusinessName, userDataSceneType);
    }

    @Override
    public void deleteUserData(String userDataBusinessId, Integer userDataSceneType) {
        tabUserDataShowMapper.deleteUserData(userDataBusinessId, userDataSceneType);
    }

    @Override
    public void tmpUpdateUserId(Integer oldUserId, Integer newUserId, Integer userDataSceneType) {
        tabUserDataShowMapper.tmpUpdateUserId(oldUserId, newUserId, userDataSceneType);
    }

    @Override
    public void updateUserIdByUserDataBusinessId(Integer toUserId, String userDataBusinessId, Integer userDataSceneType) {
        tabUserDataShowMapper.updateUserIdByUserDataBusinessId(toUserId, userDataBusinessId, userDataSceneType);
    }

    @Override
    public void tmpDeleteUserData(Integer toUserId, Integer userDataSceneType) {
        tabUserDataShowMapper.tmpDeleteUserData(toUserId, userDataSceneType);
    }

    @Override
    public Page<TabUserDataShow> page(Integer dataType, Integer userId, Integer pageNum, Integer pageSize) {
        if (pageNum == null) {
            pageNum = 1;
        }
        if (pageSize == null) {
            pageSize = 20;
        }
        PageHelper.startPage(pageNum, pageSize);
        List<TabUserDataShow> list = tabUserDataShowMapper.page(dataType, userId);
        return (Page<TabUserDataShow>) list;
    }
}
