package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.UserMoveMapper;
import com.gic.auth.entity.TabGicUserMove;
import com.gic.auth.service.UserMoveService;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;
/**
 * 管理员数据转移
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:48 PM 
 */
@Service("userMoveService")
public class UserMoveServiceImpl implements UserMoveService{
    @Autowired
    private UserMoveMapper userMoveMapper;

    @Override
    public void saveUserMove(TabGicUserMove record) {
        record.setCreateTime(new Date()).setUpdateTime(new Date());
        userMoveMapper.insert(record);
    }

    @Override
    public List<Integer> listTransferUserId(Integer userId) {
        return userMoveMapper.listTransferUserId(userId);
    }

    @Override
    public List<Integer> listTransferUserId(List<Integer> userIdList) {
        if (CollectionUtils.isEmpty(userIdList)) {
            return Collections.emptyList();
        }
        return userMoveMapper.listTransferUserIdByUserIdList(userIdList);
    }
}
