package com.gic.auth.service.impl;

import com.gic.auth.dao.mapper.TabSysUserRoleMapper;
import com.gic.auth.dto.UserRoleDTO;
import com.gic.auth.entity.TabSysUserRole;
import com.gic.auth.service.UserRoleService;
import com.gic.commons.util.EntityUtil;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
/**
 * 
 * @ClassName: UserRoleServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:52
 */
@Service("userRoleService")
public class UserRoleServiceImpl implements UserRoleService{
    @Autowired
    private TabSysUserRoleMapper tabSysUserRoleMapper;
    @Override
    public void save(UserRoleDTO dto) {
        tabSysUserRoleMapper.insert(EntityUtil.changeEntityNew(TabSysUserRole.class, dto));
    }

    @Transactional(rollbackFor = Exception.class)
    @Override
    public void deleteByUserId(Integer userId) {
        tabSysUserRoleMapper.deleteByUserId(userId);
    }

    @Override
    public List<UserRoleDTO> listUserRoleByUserId(Integer userId) {
        List<TabSysUserRole> list = tabSysUserRoleMapper.listUserRoleByUserId(userId);
        if (CollectionUtils.isNotEmpty(list)) {
            return EntityUtil.changeEntityListNew(UserRoleDTO.class, list);
        }
        return new ArrayList<>();
    }

    @Override
    public List<TabSysUserRole> listUserRoleByRoleId(Integer roleId) {
        List<TabSysUserRole> list = tabSysUserRoleMapper.listUserRoleByRoleId(roleId);
        if (CollectionUtils.isNotEmpty(list)) {
            return list;
        }
        return new ArrayList<>();
    }

    @Override
    public List<Integer> listUserId(List<Integer> roleIdList, Integer enterpriseId) {
        List<Integer> list = tabSysUserRoleMapper.listUserId(roleIdList, enterpriseId);
        if (CollectionUtils.isNotEmpty(list)) {
            return list;
        }
        return Collections.emptyList();
    }
}
