package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.OrderAppResourceDTO;
import com.gic.auth.entity.TabSysOrderAppResource;
import com.gic.auth.service.OrderAppResourceApiService;
import com.gic.auth.service.OrderAppResourceService;
import com.gic.commons.util.EntityUtil;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-25 15:52
 */
@Service("orderAppResourceApiService")
public class OrderAppResourceApiServiceImpl implements OrderAppResourceApiService {

    @Autowired
    private OrderAppResourceService orderAppResourceService;


    @Override
    public ServiceResponse<Integer> saveOrUpdate(OrderAppResourceDTO orderAppResourceDTO) {
        if (orderAppResourceDTO.getOrderAppResourceId() == null) {
            orderAppResourceService.save(orderAppResourceDTO);
        } else {
            orderAppResourceService.update(orderAppResourceDTO);
        }
        return ServiceResponse.success(orderAppResourceDTO.getOrderAppResourceId());
    }

    @Override
    public ServiceResponse<OrderAppResourceDTO> getById(Integer orderAppResourceId) {
        TabSysOrderAppResource orderAppResource = orderAppResourceService.getById(orderAppResourceId);
        if (orderAppResource != null) {
            return ServiceResponse.success(EntityUtil.changeEntityByJSON(OrderAppResourceDTO.class, orderAppResource));
        } else {
            return EnterpriseServiceResponse.failure(ErrorCode.NOTEXISTS);
        }
    }
}