package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.*;
import com.gic.auth.entity.TabSysUser;
import com.gic.auth.service.ResourceApiService;
import com.gic.auth.service.UserService;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.response.EnterpriseServiceResponse;
import com.gic.member.config.api.dto.AppletsConfigSimpleOutputDTO;
import com.gic.member.config.api.dto.OwnerMemberCardDTO;
import com.gic.member.config.api.dto.ServiceConfigSimpleOutputDTO;
import com.gic.member.config.api.service.AppletsConfigApiService;
import com.gic.member.config.api.service.MemberCardApiService;
import com.gic.member.config.api.service.ServiceConfigApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Optional;
import java.util.stream.Collectors;

/**
 * 旧资源组
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/15 3:45 PM 
 */
@Service("resourceApiService")
public class ResourceApiServiceImpl implements ResourceApiService{
    @Autowired
    private UserService userService;
    @Autowired
    private MemberCardApiService memberCardApiService;
    @Autowired
    private AppletsConfigApiService appletsConfigApiService;
    @Autowired
    private ServiceConfigApiService serviceConfigApiService;

    @Override
    public ServiceResponse<Integer> saveOrUpdateResource(ResourceDTO resourceDTO) {
        return ServiceResponse.success(1);
    }

    @Override
    public ServiceResponse<Integer> delResource(Integer resourceId) {
        return ServiceResponse.success(1);
    }

    @Override
    public ServiceResponse<Page<ResourceDTO>> listResource(ResourceDTO resourceDTO, Integer pageNum, Integer pageSize) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<ResourceDTO> getResource(Integer resourceId) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<SmsSignResourceDTO> getSmsResourceByUserId(Integer userId) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<ChannelResourceDTO> getChannelResourceByUserId(Integer userId) {
        TabSysUser user = this.userService.getUserById(userId);

        if (user == null) {
            return EnterpriseServiceResponse.failure(ErrorCode.NOTEXISTS);
        }
        List<OwnerMemberCardDTO> memberCardList = memberCardApiService.getAll(user.getEnterpriseId()).getResult();
        List<AppletsConfigSimpleOutputDTO> appletList = appletsConfigApiService.listValidAppletConfigAppId(user.getEnterpriseId()).getResult();
        List<ServiceConfigSimpleOutputDTO> serviceList = serviceConfigApiService.listValidServiceConfigAppId(user.getEnterpriseId()).getResult();
        ChannelResourceDTO channelResourceDTO = new ChannelResourceDTO();

        channelResourceDTO.setAppletConfigIdList(Optional.ofNullable(appletList).orElse(Collections.emptyList()).stream().map(AppletsConfigSimpleOutputDTO::getAppletConfigId).collect(Collectors.toList()));
        channelResourceDTO.setServiceConfigIdList(Optional.ofNullable(serviceList).orElse(Collections.emptyList()).stream().map(ServiceConfigSimpleOutputDTO::getServiceConfigId).collect(Collectors.toList()));
        channelResourceDTO.setCardConfigIdList(Optional.ofNullable(memberCardList).orElse(Collections.emptyList()).stream().map(OwnerMemberCardDTO::getCardConfigId).collect(Collectors.toList()));

        return EnterpriseServiceResponse.success(channelResourceDTO);
    }

    @Override
    public ServiceResponse<ChannelResourceDTO> getChannelResourceByUserIdContainDel(Integer userId) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<StoreResourceDTO> getStoreResourceByUserId(Integer userId) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<OrderResourceDTO> getOrderResourceByUserId(Integer userId) {
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Long> getUserResourceByUserId(Integer userId) {
        return ServiceResponse.success(-1L);
    }
}
