package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.UserDataShowSaveDTO;
import com.gic.auth.service.UserDataShowApiService;
import com.gic.auth.service.UserDataShowService;
import com.gic.enterprise.error.ErrorCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
/**
 * 管理员数据
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:50 PM 
 */
@Service("userDataShowApiService")
public class UserDataShowApiServiceImpl implements UserDataShowApiService{
    @Autowired
    private UserDataShowService userDataShowService;
    @Override
    public ServiceResponse<Void> saveUserData(UserDataShowSaveDTO data) {
        if (userDataShowService.isRepeat(data.getUserDataBusinessId(), data.getUserDataSceneType())) {
            return ServiceResponse.failure(ErrorCode.DATA_EXISTS.getCode(), "业务ID已经存在");
        }
        userDataShowService.saveUserData(data);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> editUserDataBusinessName(String userDataBusinessId, String userDataBusinessName, Integer userDataSceneType) {
        userDataShowService.editUserDataBusinessName(userDataBusinessId, userDataBusinessName, userDataSceneType);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> tmpUpdateUserId(Integer oldUserId, Integer newUserId, Integer userDataSceneType) {
        userDataShowService.tmpUpdateUserId(oldUserId, newUserId, userDataSceneType);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> updateUserIdByUserDataBusinessId(Integer toUserId, String userDataBusinessId, Integer userDataSceneType) {
        userDataShowService.updateUserIdByUserDataBusinessId(toUserId, userDataBusinessId, userDataSceneType);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> deleteUserData(String userDataBusinessId, Integer userDataSceneType) {
        userDataShowService.deleteUserData(userDataBusinessId, userDataSceneType);
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<Void> tmpDeleteUserData(Integer toUserId, Integer userDataSceneType) {
        userDataShowService.tmpDeleteUserData(toUserId, userDataSceneType);
        return ServiceResponse.success();
    }
}
