package com.gic.auth.service.outer.impl;

import java.util.List;

import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.entity.TabGicUserMove;
import com.gic.auth.service.UserMoveApiService;
import com.gic.auth.service.UserMoveService;
/**
 * 管理员数据转移
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:50 PM 
 */
@Service("userMoveApiService")
public class UserMoveApiServiceImpl implements UserMoveApiService{
    @Autowired
    private UserMoveService userMoveService;

    @Override
    public ServiceResponse<Void> saveUserMove(Integer enterpriseId, Integer fromUserId, Integer toUserId) {
        //查询出转移过fromUserId的数据，用于一起转嫁到toUserId
        List<Integer> fromUserIdList = userMoveService.listTransferUserId(fromUserId);

        TabGicUserMove record = new TabGicUserMove()
                .setEnterpriseId(enterpriseId)
                .setFromUserId(fromUserId)
                .setToUserId(toUserId);
        userMoveService.saveUserMove(record);
        //转嫁
        if (CollectionUtils.isNotEmpty(fromUserIdList)) {
            fromUserIdList.forEach(e -> {
                userMoveService.saveUserMove(new TabGicUserMove()
                        .setToUserId(toUserId)
                        .setEnterpriseId(enterpriseId)
                        .setFromUserId(e)
                );
            });
        }
        return ServiceResponse.success();
    }

    @Override
    public ServiceResponse<List<Integer>> listTransferUserId(Integer userId) {
        return ServiceResponse.success(userMoveService.listTransferUserId(userId));
    }

    @Override
    public ServiceResponse<List<Integer>> listTransferUserId(List<Integer> userIdList) {
        return ServiceResponse.success(userMoveService.listTransferUserId(userIdList));
    }
}
