package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.constant.DeleteFlagConstants;
import com.gic.auth.dto.UserRoleDTO;
import com.gic.auth.entity.TabSysUser;
import com.gic.auth.service.UserRoleApiService;
import com.gic.auth.service.UserRoleService;
import com.gic.auth.service.UserService;
import com.gic.enterprise.error.ErrorCode;
import com.gic.enterprise.utils.valid.ValidParamsUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
/**
 * 
 * @ClassName: UserRoleApiServiceImpl
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:51
 */
@Service("userRoleApiService")
public class UserRoleApiServiceImpl implements UserRoleApiService{
    @Autowired
    private UserRoleService userRoleService;
    @Autowired
    private UserService userService;
    @Override
    public ServiceResponse<Void> save(UserRoleDTO dto) {
        ServiceResponse paramValid = ValidParamsUtils.allCheckValidate(dto, UserRoleDTO.SaveUserRoleValid.class);
        if (!paramValid.isSuccess()) {
            return paramValid;
        }
        TabSysUser user = userService.getUserById(dto.getUserId());
        if (user == null) {
            return ServiceResponse.failure(ErrorCode.PARAMETER_ERROR.getCode(), "用户数据有误，查无数据");
        }

        dto.setCreateTime(new Date());
        dto.setUpdateTime(new Date());
        dto.setDeleteFlag(DeleteFlagConstants.NORMAL_STATUS);

        userRoleService.save(dto);
        return ServiceResponse.success();
    }
}
