package com.gic.auth.utils.qrcode;

import com.gic.auth.entity.TabSysUser;
import com.gic.auth.service.AuditorApiService;
import com.gic.auth.service.AuditorService;
import com.gic.auth.service.UserService;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.gic.auth.service.UserApiService;

/**
 * 管理员二维码回调
 * @ClassName:  
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/5 11:05 AM 
 */
@Component
public class UserQrcode implements IQrcode{
    private static Logger logger = LogManager.getLogger(UserQrcode.class);
    @Autowired
    private UserApiService userApiService;
    @Autowired
    private UserService userService;
    @Autowired
    private AuditorApiService auditorApiService;

    @Override
    public void receiveOpenId(String customParams, String openid) {
        TabSysUser user = userService.getUserById(Integer.parseInt(customParams));
        if (user != null) {
            boolean isRepeat = userService.validOpenidIsRepeat(user.getEnterpriseId(), openid, user.getUserId());
            if (isRepeat) {
                logger.warn("receiveOpenid失败，商户：{}下，存在重复的openid：{}", user.getEnterpriseId(), openid);
            } else {
                userApiService.updateUserOpenId(Integer.parseInt(customParams), openid);
                //同步到审核员
                auditorApiService.syncModifyNameOrPhone(user.getUserId(), user.getEnterpriseId(), null, null, openid);
            }
        }
    }
}
