CREATE TABLE `tab_gic_demo_enterprise`
(
    `enterprise_id`          char(32)        NOT NULL COMMENT '企业id',
    `enterprise_name`        varchar(50)     NOT NULL COMMENT '企业名称',
    `enterprise_code`        varchar(20)              DEFAULT NULL COMMENT '企业编码',
    `brand_name`             varchar(30)              DEFAULT NULL COMMENT '品牌名称',
    `logo_url`               varchar(256)             DEFAULT NULL COMMENT 'LOGO_url地址',
    `enterprise_description` varchar(256)             DEFAULT NULL COMMENT '企业简介',
    `license_number`         varchar(50)              DEFAULT NULL COMMENT '营业执照注册号',
    `country_id`             varchar(10)              DEFAULT NULL COMMENT '国家',
    `province_id`            varchar(10)              DEFAULT NULL COMMENT '省',
    `city_id`                varchar(10)              DEFAULT NULL COMMENT '市',
    `area_id`                varchar(10)              DEFAULT NULL COMMENT '县/区',
    `register_address`       varchar(256)             DEFAULT NULL COMMENT '详细地址',
    `create_time`            timestamp       NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_time`            timestamp       NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    `status`                 int(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态（0：已删除，1：正常 ）',
    PRIMARY KEY (`enterprise_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8 COMMENT ='企业表';



CREATE TABLE `tab_gic_demo_store`
(
    `store_id`      char(32)        NOT NULL COMMENT '门店id',
    `enterprise_id` char(32)                 DEFAULT NULL COMMENT '企业id',
    `store_name`    varchar(32)     NOT NULL COMMENT '门店名称',
    `post_address`  varchar(256)             DEFAULT NULL COMMENT '详细地址',
    `status`        int(1) unsigned NOT NULL DEFAULT '1' COMMENT '状态（0：待审核，1：正常，2：审核失败，3：停业整顿 ，4：回收站 ，5:删除）',
    `create_time`   timestamp       NOT NULL DEFAULT CURRENT_TIMESTAMP,
    `update_time`   timestamp       NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
    PRIMARY KEY (`store_id`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8 COMMENT ='门店表';


CREATE TABLE tab_gic_demo_store_test like tab_gic_demo_store;


DROP PROCEDURE IF EXISTS copyTable;
CREATE PROCEDURE copyTable(in tableName varchar(64), in beginNum int, in endNum int)
BEGIN
    DECLARE i INT;
    SET i = beginNum;
    WHILE i <= endNum DO
    SET @sql = CONCAT('CREATE TABLE ', tableName, '_', i, ' like ', tableName);
    PREPARE create_stmt FROM @sql;
    EXECUTE create_stmt;
    SET i = i + 1;
    END WHILE;
END;
call copyTable('tab_gic_demo_store', 0, 9);

