package com.gic.auth.web.controller;

import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.auth.service.UserApiService;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.enterprise.utils.ResultControllerUtils;

/**
 * 管理员数据转移
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/7 2:55 PM 
 */
@RestController
@RequestMapping("/user-data-move")
public class UserDataMoveController {
    private final Logger logger = LogManager.getLogger(UserDataMoveController.class);
    @Autowired
    private UserApiService userApiService;

    /**
     * 管理员是否有自己创建的数据
     * @param userId
     * @return 如果不为空，则说明有
     */
    @RequestMapping("/valid-have-owner-data")
    public RestResponse validHaveOwnerData(Integer userId) {
        return ResultControllerUtils.commonResult(userApiService.listManagerDataScene(userId));
    }

    /**
     * 查询管理员数据
     * @param dataScene
     * @param userId
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping("/query-user-data")
    public RestResponse queryUserData(Integer dataScene, Integer userId, Integer pageNum, Integer pageSize) {
        return ResultControllerUtils.commonResult(userApiService.queryUserManagerData(dataScene, userId, pageNum, pageSize));
    }

    /**
     * 查询符合条件的转移对象
     * @param userId
     * @param search
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping("/query-transfer-user")
    public RestResponse queryUserTransferObject(Integer userId, String search, Integer pageNum, Integer pageSize) {
        return ResultControllerUtils.commonResult(userApiService.queryUserTransferObject(userId, search, pageNum, pageSize));
    }

    /**
     * 转移管理员数据
     * @param oldUserId
     * @param newUserId
     * @return
     */
    @RequestMapping("/transfer-user-data")
    public RestResponse transferUserData(Integer oldUserId, Integer newUserId) {
        return ResultControllerUtils.commonResult(userApiService.transferUserData(oldUserId, newUserId));
    }
}
