package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 登录用户的个人信息
 * @ClassName: LoginUserVO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/15 1:57 PM 
 */
public class LoginUserVO implements Serializable{
    private static final long serialVersionUID = 8950007139503351315L;

    /**7
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号码
     */
    private String phoneNumber;

    /**
     * 国际区号，如中国 86
     */
    private String phoneAreaCode;

    private String logo;

    /**
     * 商户名称
     */
    private String enterpriseName;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 职位 1:区域经理、2:线下运营、3:电商运营、4:IT专员、5:数据专员 子管理员必填
     */
    private Integer userPosition;

    /**
     * 用户的昵称
     */
    public String nickname;

    /**
     * 用户头像，最后一个数值代表正方形头像大小（有0、46、64、96、132数值可选，0代表640*640正方形头像），用户没有头像时该项为空。若用户更换头像，原有头像URL将失效。
     */
    public String headimgurl;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getPhoneAreaCode() {
        return phoneAreaCode;
    }

    public void setPhoneAreaCode(String phoneAreaCode) {
        this.phoneAreaCode = phoneAreaCode;
    }

    public String getLogo() {
        return logo;
    }

    public void setLogo(String logo) {
        this.logo = logo;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public Integer getUserPosition() {
        return userPosition;
    }

    public LoginUserVO setUserPosition(Integer userPosition) {
        this.userPosition = userPosition;
        return this;
    }

    public String getNickname() {
        return nickname;
    }

    public LoginUserVO setNickname(String nickname) {
        this.nickname = nickname;
        return this;
    }

    public String getHeadimgurl() {
        return headimgurl;
    }

    public LoginUserVO setHeadimgurl(String headimgurl) {
        this.headimgurl = headimgurl;
        return this;
    }

    @Override
    public String toString() {
        return "LoginUserVO{" +
                "userId=" + userId +
                ", userName='" + userName + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", phoneAreaCode='" + phoneAreaCode + '\'' +
                ", logo='" + logo + '\'' +
                ", enterpriseName='" + enterpriseName + '\'' +
                ", companyName='" + companyName + '\'' +
                ", userPosition=" + userPosition +
                ", nickname='" + nickname + '\'' +
                ", headimgurl='" + headimgurl + '\'' +
                '}';
    }
}
