package com.gic.auth.web.vo;

import java.io.Serializable;
/**
 * 资源组详情
 * @ClassName:
 * @Description:  
 * @author guojuxing 
 * @date 2021/1/11 3:35 PM 
 */
public class ResourceGroupDetailVO implements Serializable{
    private static final long serialVersionUID = -8544945442870509331L;

    /**
     *
     */
    private Integer resourceGroupId;

    /**
     * 资源名称
     */
    private String resourceGroupName;

    /**
     * 用户域 0:不授予 1:授予
     */
    private Integer customUser;

    /**
     * 用户域配置，json格式 [{"type":1,"sort":1,"areaValue":"","cuSelectId":""}]
     */
    private String customUserData;

    /**
     * 门店资源
     */
    private Long storeResource;

    /**
     * 商品资源
     */
    private Long goodsResourceId;

    /**
     * 线下门店订单 1:用户在授权管辖门店范围内的订单 2:用户下所有订单
     */
    private Integer storeOrderArea;

    /**
     * 微盟商城订单 1:用户在授权店铺范围内的订单 2:不授予
     */
    private Integer weimobOrderArea;

    /**
     * 微盟店铺多选，weimob_order_area选择1时选择店铺,英文逗号隔开
     */
    private String weimobStoreId;

    /**
     * 短信签名多选，英文逗号隔开
     */
    private String smsId;

    public Integer getResourceGroupId() {
        return resourceGroupId;
    }

    public ResourceGroupDetailVO setResourceGroupId(Integer resourceGroupId) {
        this.resourceGroupId = resourceGroupId;
        return this;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public ResourceGroupDetailVO setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
        return this;
    }

    public Integer getCustomUser() {
        return customUser;
    }

    public ResourceGroupDetailVO setCustomUser(Integer customUser) {
        this.customUser = customUser;
        return this;
    }

    public String getCustomUserData() {
        return customUserData;
    }

    public ResourceGroupDetailVO setCustomUserData(String customUserData) {
        this.customUserData = customUserData;
        return this;
    }

    public Long getStoreResource() {
        return storeResource;
    }

    public ResourceGroupDetailVO setStoreResource(Long storeResource) {
        this.storeResource = storeResource;
        return this;
    }

    public Long getGoodsResourceId() {
        return goodsResourceId;
    }

    public ResourceGroupDetailVO setGoodsResourceId(Long goodsResourceId) {
        this.goodsResourceId = goodsResourceId;
        return this;
    }

    public Integer getStoreOrderArea() {
        return storeOrderArea;
    }

    public ResourceGroupDetailVO setStoreOrderArea(Integer storeOrderArea) {
        this.storeOrderArea = storeOrderArea;
        return this;
    }

    public Integer getWeimobOrderArea() {
        return weimobOrderArea;
    }

    public ResourceGroupDetailVO setWeimobOrderArea(Integer weimobOrderArea) {
        this.weimobOrderArea = weimobOrderArea;
        return this;
    }

    public String getWeimobStoreId() {
        return weimobStoreId;
    }

    public ResourceGroupDetailVO setWeimobStoreId(String weimobStoreId) {
        this.weimobStoreId = weimobStoreId;
        return this;
    }

    public String getSmsId() {
        return smsId;
    }

    public ResourceGroupDetailVO setSmsId(String smsId) {
        this.smsId = smsId;
        return this;
    }

    @Override
    public String toString() {
        return "ResourceGroupDetailVO{" +
                "resourceGroupId=" + resourceGroupId +
                ", resourceGroupName='" + resourceGroupName + '\'' +
                ", customUser=" + customUser +
                ", customUserData='" + customUserData + '\'' +
                ", storeResource=" + storeResource +
                ", goodsResourceId=" + goodsResourceId +
                ", storeOrderArea=" + storeOrderArea +
                ", weimobOrderArea=" + weimobOrderArea +
                ", weimobStoreId='" + weimobStoreId + '\'' +
                ", smsId='" + smsId + '\'' +
                '}';
    }
}
